textures/shuls/light
{
	qer_editorimage textures/shuls/light.tga
	q3map_surfacelight 10000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shuls/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/shuls/light_blend.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/shuls/light_grid.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/shuls/light2
{
	
	qer_editorimage textures/ut_turnpike/tub_uplight1.tga
	q3map_surfacelight 50000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_turnpike/tub_uplight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE		
	}
}

textures/shuls/glass
{
	qer_trans 0.5
	surfaceparm solid
	surfaceparm trans
	cull twosided

	{
		map textures/shuls/glass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		map $lightmap
		rgbGen identity
	}
}

textures/shuls/tile
{   
	{
		map textures/shuls/tile.tga
		rgbGen identity
	} 
	{
		map textures/shuls/sfx2.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
	}
	{
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/shuls/floor1
{   
	{
		map textures/shuls/floor1.tga
		rgbGen identity
	} 
        {
		map textures/shuls/sfx2.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/shuls/concrete2
{   
	{
		map textures/shuls/concrete2.tga
		rgbGen identity
	} 
 	{
		map textures/shuls/sfx1.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
	}
	{
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/shuls/concrete1
{
	qer_editorimage textures/shuls/concrete1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shuls/concrete1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/shuls/sfx2.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/shuls/metal4
{   
	{
		map textures/shuls/metal4.tga
		rgbGen identity
	} 
	{
		map textures/shuls/metal5.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
	}
	{
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/shuls/ter_shuls
{
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/shuls/ter_shuls.tga
		rgbGen identity
	}
	{
		map textures/shuls/ter_shuls.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}